import s from "./index-extends.js";
import m from "./index-defineProperty.js";
import n, { forwardRef as p, PureComponent as u } from "react";
import c from "./index-Parser.js";
class d extends u {
  componentDidUpdate() {
    const {
      handleParse: e
    } = this.props;
    e();
  }
  render() {
    const {
      children: e,
      pageId: t,
      themeColor: i,
      loggedInGreeting: g,
      loggedOutGreeting: o,
      dataRef: a,
      greetingDialogDisplay: l,
      greetingDialogDelay: f
    } = this.props;
    return n.createElement("div", {
      className: "fb-customerchat",
      page_id: t,
      theme_color: i,
      logged_in_greeting: g,
      logged_out_greeting: o,
      greeting_dialog_display: l,
      greeting_dialog_delay: f,
      "data-ref": a
    }, e);
  }
}
m(d, "defaultProps", {
  children: void 0,
  themeColor: void 0,
  loggedInGreeting: void 0,
  loggedOutGreeting: void 0,
  dataRef: void 0,
  greetingDialogDisplay: void 0,
  greetingDialogDelay: void 0
});
p((r, e) => n.createElement(c, null, ({
  handleParse: t
}) => n.createElement(d, s({}, r, {
  handleParse: t,
  ref: e
}))));
